Subject: bug#14575: 24.3.50.1; Overlays with a window property affect other windows

From: E Sabof <[email-masked]>
Date: Sat, 8 Jun 2013 21:54:01 +0100

You can set bidi-paragraph-direction to 'right-to-left, but I suspect

> that's not what you want.

 Editing and moving inside such text will
> behave in ways people don't expect to see in strict left-to-right
> text.
>
> In general, the bidi display is not about alignment, it's about
> display of bidirectional text.  That is what it was designed for, so
> any other uses will not necessarily produce desired results.  That it
> also flushes right-to-left paragraphs to the right margin is because
> people who use right-to-left scripts expect that.
>

Indeed, the "directionally neutral" characters are displayed according to
the paragraph's main alignment. Anyway, once the centering works, adding
right alignment shouldn't be hard.